Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.parser
Class RecursiveTypeParserImpl

    java.lang.Object
      org.apache.xmlrpc.parser.TypeParserImpl
          org.apache.xmlrpc.parser.RecursiveTypeParserImpl

All Implemented Interfaces:
  TypeParser, org.xml.sax.ContentHandler

Direct Known Subclasses:
  MapParser, ObjectArrayParser, XmlRpcRequestParser, XmlRpcResponseParser

    public abstract class RecursiveTypeParserImpl

extends TypeParserImpl

Abstract base class of a parser, that invokes other type parsers recursively.

Field Summary
`protected XmlRpcStreamConfig` | `cfg`

Constructor Summary
`protected` | `RecursiveTypeParserImpl(XmlRpcStreamConfig pConfig, org.apache.ws.commons.util.NamespaceContextImpl pContext, TypeFactory pFactory)` Creates a new instance.

Method Summary
`protected abstract void` | `addResult(java.lang.Object pResult)`
`void` | `characters(char[] pChars, int pOffset, int pLength)`
`void` | `endElement(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pQName)`
`void` | `endPrefixMapping(java.lang.String pPrefix)`
`protected void` | `endValueTag()`
`void` | `ignorableWhitespace(char[] pChars, int pOffset, int pLength)`
`void` | `processingInstruction(java.lang.String pTarget, java.lang.String pData)` PI's are by default ignored.
`void` | `skippedEntity(java.lang.String pEntity)` Skipped entities raise an exception by default.
`void` | `startDocument()`
`void` | `startElement(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttrs)`
`void` | `startPrefixMapping(java.lang.String pPrefix, java.lang.String pURI)`
`protected void` | `startValueTag()` Called to start a value tag.

Methods inherited from class org.apache.xmlrpc.parser.TypeParserImpl
`endDocument, getDocumentLocator, getResult, isEmpty, setDocumentLocator, setResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cfg

    protected final XmlRpcStreamConfig cfg

Constructor Detail

### RecursiveTypeParserImpl

    protected RecursiveTypeParserImpl(XmlRpcStreamConfig pConfig,
                                      org.apache.ws.commons.util.NamespaceContextImpl pContext,
                                      TypeFactory pFactory)

  Creates a new instance.

  Parameters:
    `pContext` - The namespace context.
    `pConfig` - The request or response configuration.
    `pFactory` - The type factory.

Method Detail

### startValueTag

    protected void startValueTag()
                          throws org.xml.sax.SAXException

  Called to start a value tag.

  Throws:
    `org.xml.sax.SAXException`

### addResult

    protected abstract void addResult(java.lang.Object pResult)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endValueTag

    protected void endValueTag()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String pURI,
                           java.lang.String pLocalName,
                           java.lang.String pQName)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String pURI,
                             java.lang.String pLocalName,
                             java.lang.String pQName,
                             org.xml.sax.Attributes pAttrs)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] pChars,
                           int pOffset,
                           int pLength)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] pChars,
                                    int pOffset,
                                    int pLength)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String pTarget,
                                      java.lang.String pData)
                               throws org.xml.sax.SAXException

  Description copied from class: `TypeParserImpl`
  PI's are by default ignored.

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `processingInstruction` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String pEntity)
                       throws org.xml.sax.SAXException

  Description copied from class: `TypeParserImpl`
  Skipped entities raise an exception by default.

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `skippedEntity` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String pPrefix,
                                   java.lang.String pURI)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startPrefixMapping` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String pPrefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endPrefixMapping` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.